net.snowflake.client.jdbc

## Class ChunkDownloadContext

- java.lang.Object
- - net.snowflake.client.jdbc.ChunkDownloadContext

    public class ChunkDownloadContext
    extends Object

Simple struct to contain download context for a chunk. This is useful to organize the collection of properties that may be used for containing download information, and allows for the getInputStream() method to be overridden.

### Constructor Summary

Constructors
Constructor and Description
`ChunkDownloadContext(SnowflakeChunkDownloader chunkDownloader, SnowflakeResultChunk resultChunk, String qrmk, int chunkIndex, Map<String,String> chunkHeadersMap, int networkTimeoutInMilli, SFBaseSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SnowflakeChunkDownloader` `getChunkDownloader()`
`Map<String,String>` `getChunkHeadersMap()`
`int` `getChunkIndex()`
`int` `getNetworkTimeoutInMilli()`
`String` `getQrmk()`
`SnowflakeResultChunk` `getResultChunk()`
`SFBaseSession` `getSession()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChunkDownloadContext

    public ChunkDownloadContext(SnowflakeChunkDownloader chunkDownloader,
                                SnowflakeResultChunk resultChunk,
                                String qrmk,
                                int chunkIndex,
                                Map<String,String> chunkHeadersMap,
                                int networkTimeoutInMilli,
                                SFBaseSession session)

### Method Detail

#### getChunkDownloader

    public SnowflakeChunkDownloader getChunkDownloader()

#### getResultChunk

    public SnowflakeResultChunk getResultChunk()

#### getQrmk

    public String getQrmk()

#### getChunkIndex

    public int getChunkIndex()

#### getChunkHeadersMap

    public Map<String,String> getChunkHeadersMap()

#### getNetworkTimeoutInMilli

    public int getNetworkTimeoutInMilli()

#### getSession

    public SFBaseSession getSession()